## rows 0.1.1

=== Makefile ===
test:
	nosetests -dsv --with-yanc --with-coverage --cover-package rows tests/*.py

clean:
	find -regex '.*\.pyc' -exec rm {} \;
	find -regex '.*~' -exec rm {} \;
	rm -rf reg-settings.py
	rm -rf MANIFEST dist build *.egg-info

install:
	make clean
	make uninstall
	python setup.py install

uninstall:
	pip uninstall -y rows

lint:
	pylint rows/*.py

lint-tests:
	pylint tests/*.py

.PHONY:	test clean lint lint-tests install uninstall

=== debian/changelog ===
rows (0.1.1-3) unstable; urgency=medium

  * debian/control:
      - Bumped Standards-Version to 3.9.7.
  * debian/manpage/genallman.sh:
      - Fixed manpage generation script to be build reproducible, thanks to
        Reiner Herrmann <reiner@reiner-h.de> (Closes: #816230).

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Tue, 15 Mar 2016 22:57:00 -0300

rows (0.1.1-2) unstable; urgency=medium

  * debian/clean:
      Included to clean some files created during build time.
  * debian/control:
      Included python-setuptools in Build-Depends field (Closes: #813984).

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Mon, 15 Feb 2016 13:30:00 -0200

rows (0.1.1-1) unstable; urgency=medium

  * Initial release (Closes: #797704).

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Sat, 19 Sep 2015 03:13:00 -0300

=== debian/control ===
Source: rows
Section: utils
Priority: optional
Maintainer: Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               locales,
               locales-all,
               pylint,
               python,
               python-click,
               python-coverage,
               python-ipdb,
               python-lxml,
               python-nose,
               python-nose-yanc,
               python-pip,
               python-requests,
               python-setuptools,
               python-unicodecsv,
               python-xlrd,
               python-xlwt,
               txt2man
Standards-Version: 3.9.7
Homepage: https://github.com/turicas/rows/

Package: rows
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-click,
         python-requests,
         python-rows
Recommends: locales, locales-all, python-lxml, python-xlrd, python-xlwt
Description: common, beautiful interface to tabular data, no matter the format
 A command-line interface so you can have easy access to the most used
 features: convert between formats, sum, join and sort tables.
 No matter in which format your tabular data is: rows will import it,
 automatically detect types so you can start working with the data instead of
 trying to parse it. It is also locale and unicode aware.

Package: python-rows
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${python:Depends},
         python-unicodecsv
Recommends: locales, locales-all, python-lxml, python-xlrd, python-xlwt, rows
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Description: library to tabular data, no matter the format
 No matter in which format your tabular data is: python-rows will import it,
 automatically detect types and give you high-level Python objects so you can
 start working with the data instead of trying to parse it.
 It is also locale and unicode aware.
 .
 The library is composed by:
 .
  * A common interface to tabular data (the Table class).
  * A set of plugins to populate Table objects CSV, XLS, HTML, TXT.
  * A set of common fields (such as BoolField, IntegerField) which know exactly
    how to serialize and deserialize data for each object type you'll get.
  * A set of utilities (such as field type recognition) to help working with
    tabular data.
  * Access to the most used features: convert between formats, sum, join and
    sort tables. Just import rows and relax.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=rows
export PYBUILD_AFTER_INSTALL=mv -v debian/python-rows/usr/bin debian/rows/usr

export PYBUILD_BEFORE_TEST=cp -r ./tests .pybuild/pythonX.Y_2.7/build
export PYBUILD_AFTER_TEST=rm -rf .pybuild/pythonX.Y_2.7/build/tests

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_installman:
# generate man pages from txt files
	debian/manpage/genallman.sh
	dh_installman

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/turicas/rows/releases .*/archive/v?(\d\S+)\.tar\.(?:bz2|gz|xz)

## rows 0.2.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
 test:
+	coverage erase
 	nosetests -dsv --with-yanc --with-coverage --cover-package rows tests/*.py
 
 clean:
@@ -6,6 +7,7 @@
 	find -regex '.*~' -exec rm {} \;
 	rm -rf reg-settings.py
 	rm -rf MANIFEST dist build *.egg-info
+	rm -rf rows.1
 
 install:
 	make clean
@@ -21,4 +23,8 @@
 lint-tests:
 	pylint tests/*.py
 
-.PHONY:	test clean lint lint-tests install uninstall
+man:
+	head -1 rows.1.txt > rows.1
+	txt2man rows.1.txt | egrep -v '^\.TH' >> rows.1
+
+.PHONY:	test clean lint lint-tests install uninstall man

=== debian/changelog ===
rows (0.2.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
      - Added python-magic in Recommends field.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Wed, 10 Aug 2016 16:36:00 -0300

rows (0.2.0-3) unstable; urgency=medium

  * debian/rules:
      - Removed option --with-coverage that create .coverage file.
      - Removed now unnecessary override_dh_install.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Tue, 26 Jul 2016 15:10:00 -0300

rows (0.2.0-2) unstable; urgency=medium

  * debian/rules:
      - Added override_dh_install to remove unnecessary file:
        .coverage (Closes: #831867).

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Mon, 25 Jul 2016 16:54:00 -0300

rows (0.2.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
      - Bumped Standards-Version to 3.9.8.
      - Added python-openpyxl and python-mock in Build-Depends field.
  * debian/python-rows.doc
      - Updated to provide README.md instead of README.markdown
        and AUTHORS.md instead AUTHORS.
  * debian/rows.doc
      - Updated to provide README.md instead of README.markdown
        and AUTHORS.md instead AUTHORS.
  * debian/rules
      - Included PYBUILD_TEST_ARGS_python2 variable to ignore parquet test.
  * debian/watch
      - Updated to version 4 no changes needed.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Sun, 17 Jul 2016 23:47:00 -0300

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,10 @@
                python-coverage,
                python-ipdb,
                python-lxml,
+               python-mock,
                python-nose,
                python-nose-yanc,
+               python-openpyxl,
                python-pip,
                python-requests,
                python-setuptools,
@@ -21,7 +23,7 @@
                python-xlrd,
                python-xlwt,
                txt2man
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/turicas/rows/
 
 Package: rows
@@ -31,7 +33,7 @@
          python-click,
          python-requests,
          python-rows
-Recommends: locales, locales-all, python-lxml, python-xlrd, python-xlwt
+Recommends: locales, locales-all, python-magic, python-lxml, python-xlrd, python-xlwt
 Description: common, beautiful interface to tabular data, no matter the format
  A command-line interface so you can have easy access to the most used
  features: convert between formats, sum, join and sort tables.

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 
 export PYBUILD_BEFORE_TEST=cp -r ./tests .pybuild/pythonX.Y_2.7/build
 export PYBUILD_AFTER_TEST=rm -rf .pybuild/pythonX.Y_2.7/build/tests
+export PYBUILD_TEST_ARGS_python2=--ignore-files=_parquet.py -dsv --with-yanc
 
 %:
 	dh $@ --with python2 --buildsystem=pybuild

## rows 0.3.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,5 @@
 test:
-	coverage erase
-	nosetests -dsv --with-yanc --with-coverage --cover-package rows tests/*.py
+	tox
 
 clean:
 	find -regex '.*\.pyc' -exec rm {} \;
@@ -8,6 +7,7 @@
 	rm -rf reg-settings.py
 	rm -rf MANIFEST dist build *.egg-info
 	rm -rf rows.1
+	rm -rf .tox
 
 install:
 	make clean

=== docs/Makefile ===
# Makefile for Sphinx documentation
# You can set these variables from the command line.
SPHINXBUILD   = sphinx-build
BUILDDIR      = _build

# Internal variables.
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees .

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  clean      remove current BUILDDIR"
	@echo "  publish    publish to the gh-pages branch"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."


publish:
	cd $(BUILDDIR)/html; git add . ; git commit -m "rebuilt docs"; git push origin gh-pages

.PHONY: help clean html publish

=== debian/changelog ===
rows (0.3.1-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control:
      - Bumped Standards-Version to 4.0.0.
      - Added Testsuite field.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Sun, 18 Jun 2017 13:21:00 -0300

rows (0.3.1-1) experimental; urgency=medium

  * New upstream release
  * debian/copyright
      - Updated upstream and packaging years.
  * debian/rules
      - Included parameter to ignore file that make deterministic test.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Mon, 22 May 2017 21:13:00 -0300

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,8 @@
                python-xlrd,
                python-xlwt,
                txt2man
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
+Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/turicas/rows/
 
 Package: rows

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 export PYBUILD_BEFORE_TEST=cp -r ./tests .pybuild/pythonX.Y_2.7/build
 export PYBUILD_AFTER_TEST=rm -rf .pybuild/pythonX.Y_2.7/build/tests
-export PYBUILD_TEST_ARGS_python2=--ignore-files=_parquet.py -dsv --with-yanc
+export PYBUILD_TEST_ARGS_python2=--ignore-files=_parquet.py --ignore-files=tests_table.py -dsv --with-yanc
 
 %:
 	dh $@ --with python2 --buildsystem=pybuild

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/turicas/rows/releases .*/archive/v?(\d\S+)\.tar\.(?:bz2|gz|xz)

## rows 0.4.1

=== Makefile ===
envtest: clean
	nosetests tests/

test:
	tox

clean:
	find -regex '.*\.pyc' -exec rm {} \;
	find -regex '.*~' -exec rm {} \;
	rm -rf reg-settings.py MANIFEST dist build *.egg-info rows.1 .tox
	rm -rf docs-build docs/reference docs/man
	coverage erase

fix-imports:
	autoflake --in-place --recursive --remove-unused-variables --remove-all-unused-imports .
	isort -rc .
	black .

install:
	make clean
	make uninstall
	python setup.py install

uninstall:
	pip uninstall -y rows

lint:
	pylint rows/*.py

lint-tests:
	pylint tests/*.py

docs:
	make clean install
	click-man --target=docs/man/ rows
	pycco --directory=docs/reference --generate_index --skip-bad-files rows/*.py
	pycco --directory=docs/reference/plugins --generate_index --skip-bad-files rows/plugins/*.py
	mkdocs build --strict --site-dir=docs-build
	rm -rf docs/man docs/reference

docs-serve: docs
	cd docs-build && python3 -m http.server

docs-upload: docs
	-git branch --delete --force --quiet gh-pages
	-git push turicas :gh-pages
	ghp-import --no-jekyll --message="Docs automatically built from $(shell git rev-parse HEAD)" --branch=gh-pages --push --force --remote=turicas docs-build/

release:
	python setup.py bdist bdist_wheel --universal bdist_egg upload

.PHONY:	test clean docs docs-serve docs-upload fix-imports lint lint-tests install uninstall release

=== debian/changelog ===
rows (0.4.1-5) unstable; urgency=medium

  * debian/control: Remove XB-Python-Version field.
  * debian/copyright: Update copyright years.
  * debian/source/lintian-overrides:
      -  add lintian override for html page with data.
  * debian/clean: Include manual file generated on build time.
  * Remove prebuilt manpage generated at build time.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Sun, 09 Jan 2022 11:14:00 -0300

rows (0.4.1-4) unstable; urgency=medium

  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control:
      - Included Vcs-* fields.
      - Bumped Standards-Version to 4.6.0.1.
      - Added 'Rules-Requires-Root: no' to source stanza.
  * debian/watch: update url.
  * Add Upstream Metadata file.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Mon, 11 Oct 2021 13:12:00 -0300

rows (0.4.1-3) unstable; urgency=medium

  * Fix tests with python3.9 (Closes: #975523)

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 23 Nov 2020 21:18:06 -0300

rows (0.4.1-2) unstable; urgency=medium

  * Source-only upload to unstable

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 05 Nov 2020 11:35:22 -0300

rows (0.4.1-1) unstable; urgency=medium

  * New upstream version 0.4.1
    * debian/copyright: reflect license change in upstream code
      rows is now LGPL-3+ (was previously GPL-3+)
  * Convert to python3 (Closes: #938408)
  * Demote locales-all to Suggests (Closes: #932689)
  * python3-rows: drop rows from Recommends:
  * Add autopkgtest control file to run test suite and a smoke test
  * Remove upstream PGP key, releases are not signed
  * Add new build and runtime dependency on python3-tqdm
  * 0001-setup.py-drop-dependency-on-pathlib.patch: use pathlib from standard
    library
  * Add new runtime dependencies on python3-six, python3-requests and
    python3-requests-cache
  * Bump Standards-Version to 4.5.0; no changes needed.

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 02 Sep 2020 16:24:09 -0300

rows (0.3.1-3) unstable; urgency=medium

  * debian/control:
      - Bumped Standards-Version to 4.1.4.
      - Bumped debhelper compatibility to 11.
  * debian/copyright
      - Updated upstream and packaging years.
  * debian/rules:
      - Changed PYBUILD variables to solve FTBFS error on new version
        of dh-python. (Closes:#896740).
  * debian/python-rows.examples:
      - Changed to include examples files.
  * debian/rows.examples:
      - Changed to include examples files.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Thu, 03 May 2018 19:33:00 -0300

=== debian/control ===
Source: rows
Section: utils
Priority: optional
Maintainer: Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>
Uploaders: Antonio Terceiro <terceiro@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               locales,
               locales-all,
               pylint,
               python3,
               python3-click,
               python3-coverage,
               python3-ipdb,
               python3-lxml,
               python3-mock,
               python3-nose,
               python3-nose-yanc,
               python3-openpyxl,
               python3-pip,
               python3-requests,
               python3-setuptools,
               python3-tqdm,
               python3-unicodecsv,
               python3-xlrd,
               python3-xlwt,
               txt2man
Standards-Version: 4.6.0.1
Rules-Requires-Root: no
Homepage: https://github.com/turicas/rows/
Vcs-Browser: https://salsa.debian.org/debian/rows
Vcs-Git: https://salsa.debian.org/debian/rows.git

Package: rows
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-click,
         python3-requests,
         python3-rows
Recommends: locales, python3-magic, python3-lxml, python3-xlrd, python3-xlwt
Suggests: locales-all
Description: common, beautiful interface to tabular data, no matter the format
 A command-line interface so you can have easy access to the most used
 features: convert between formats, sum, join and sort tables.
 No matter in which format your tabular data is: rows will import it,
 automatically detect types so you can start working with the data instead of
 trying to parse it. It is also locale and unicode aware.

Package: python3-rows
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-tqdm,
         python3-unicodecsv,
         python3-six,
         python3-requests,
         python3-requests-cache,
Recommends: locales, locales-all, python3-lxml, python3-xlrd, python3-xlwt
Provides: ${python3:Provides}
Description: library to tabular data, no matter the format
 No matter in which format your tabular data is: python3-rows will import it,
 automatically detect types and give you high-level Python objects so you can
 start working with the data instead of trying to parse it.
 It is also locale and unicode aware.
 .
 The library is composed by:
 .
  * A common interface to tabular data (the Table class).
  * A set of plugins to populate Table objects CSV, XLS, HTML, TXT.
  * A set of common fields (such as BoolField, IntegerField) which know exactly
    how to serialize and deserialize data for each object type you'll get.
  * A set of utilities (such as field type recognition) to help working with
    tabular data.
  * Access to the most used features: convert between formats, sum, join and
    sort tables. Just import rows and relax.

=== debian/tests/control ===
Test-Command: excludes=$(cat debian/tests/excludes) && cp -r tests/ ${AUTOPKGTEST_TMP} && cd ${AUTOPKGTEST_TMP} && python3 -m nose --verbose $excludes
Depends: locales-all,
         python3-lxml,
         python3-mock,
         python3-nose,
         python3-openpyxl,
         python3-xlrd,
         python3-xlwt,
         @
Restrictions: allow-stderr
Features: test-name=unittests

Test-Command: clitest debian/tests/smoke-test.txt
Depends: @, clitest
Features: test-name=smoke-test

=== debian/watch ===
version=4
https://github.com/turicas/rows/releases .*/v?(\d\S+)\.tar\.(?:bz2|gz|xz|lz)

## rows 0.4.2~0

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 fix-imports:
 	autoflake --in-place --recursive --remove-unused-variables --remove-all-unused-imports .
-	isort -rc .
+	isort .
 	black .
 
 install:

=== debian/changelog ===
rows (0.4.2~0-2.2) unstable; urgency=medium

  * Non-maintainer Upload
  * Use new dh-sequence-python3
  * Replace Nose with Pytest (Closes: #1018634)

 -- Alexandre Detiste <tchet@debian.org>  Thu, 12 Sep 2024 20:55:16 +0200

rows (0.4.2~0-2.1) unstable; urgency=medium

  * Non-maintainer Upload
  * remove dependency on python3-unicodecsv (Closes: #1059951)
  * remove more unused dependencies:
    * python3-ipdb
    * python3-nose-yanc

  [ Antonio Terceiro ]
  * lintian-overrides: update for different tag generated for the same issue

 -- Alexandre Detiste <tchet@debian.org>  Wed, 10 Jan 2024 00:33:42 +0100

rows (0.4.2~0-2) unstable; urgency=medium

  * Add patch to fix invalid version number (Closes: #1030448)

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 05 Feb 2023 23:14:17 +0100

rows (0.4.2~0-1) unstable; urgency=medium

  * New upstream version 0.4.2~0
  * Add build dependency on python3-magic
  * debian/watch: fix github usage
  * Drop all patches, all issues fixed upstream
  * Add build dependency on python3-psycopg2
  * Add runtime dependency on python3-psycopg2
  * Exclude failing test that also fails upstream (Closes: #1026499)
  * Add build and runtime dependencies for extracting data from pdfs
    (python3-cached-property, python3-pdfminer)

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 31 Dec 2022 18:53:29 -0300

rows (0.4.1-6) unstable; urgency=medium

  * debian/watch: fix url to https://github.com/turicas/rows/tags.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Sun, 23 Oct 2022 00:34:00 -0300

=== debian/control ===
--- 
+++ 
@@ -4,24 +4,26 @@
 Maintainer: Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>
 Uploaders: Antonio Terceiro <terceiro@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                locales,
                locales-all,
                pylint,
                python3,
+               python3-cached-property,
                python3-click,
                python3-coverage,
-               python3-ipdb,
                python3-lxml,
+               python3-magic,
                python3-mock,
-               python3-nose,
-               python3-nose-yanc,
                python3-openpyxl,
+               python3-pdfminer,
                python3-pip,
+               python3-psycopg2,
+               python3-pytest,
                python3-requests,
                python3-setuptools,
+               python3-six,
                python3-tqdm,
-               python3-unicodecsv,
                python3-xlrd,
                python3-xlwt,
                txt2man
@@ -30,6 +32,7 @@
 Homepage: https://github.com/turicas/rows/
 Vcs-Browser: https://salsa.debian.org/debian/rows
 Vcs-Git: https://salsa.debian.org/debian/rows.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: rows
 Architecture: all
@@ -52,8 +55,10 @@
 Section: python
 Depends: ${misc:Depends},
          ${python3:Depends},
+         python3-cached-property,
+         python3-pdfminer,
          python3-tqdm,
-         python3-unicodecsv,
+         python3-psycopg2,
          python3-six,
          python3-requests,
          python3-requests-cache,

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=rows
export PYBUILD_AFTER_INSTALL=mv -v debian/python3-rows/usr/bin debian/rows/usr

export POSTGRESQL_URI=dummy
export PYBUILD_BEFORE_TEST=rm -vf {build_dir}/tests/tests_plugin_pdf.py {build_dir}/tests/tests_plugin_postgresql.py
export PYBUILD_TEST_ARGS=tests/tests_*.py -k 'not postgresql and not parquet and not local_file_sample_size'

%:
	dh $@ --buildsystem=pybuild

override_dh_installman:
# generate man pages from txt files
	debian/manpage/genallman.sh
	dh_installman

## rows 0.5.0~dev0~1~1d5a326

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,33 @@
-envtest: clean
-	nosetests tests/
+MAKEFLAGS += --always-make
+PYTHON_VERSIONS = 27 35 36 37 38 39 310 311 312 313 debian
+TEST_PY_TARGETS = $(foreach version, $(PYTHON_VERSIONS), test-py$(version))
+BUILD_PY_TARGETS = $(foreach version, $(PYTHON_VERSIONS), build-py$(version))
 
-test:
-	tox
+test-local:
+	coverage run -m pytest $(TEST_ARGS) && coverage report
+
+test-all: $(TEST_PY_TARGETS)
+	@echo "Running tests for all Python versions"
+
+build-py%:
+	@echo "Running py$*"
+	docker compose build py$*
+
+test-py%:
+	@echo "Running tests for py$*"
+	@COMPOSE_PROFILES=py$* docker compose run --rm -it py$* bash -c "coverage run -m pytest $(TEST_ARGS) && coverage report"
+
+py%:
+	@echo "Running Python shell in version py$*"
+	@COMPOSE_PROFILES=py$* docker compose run --rm -it py$* python
+
+bash-py%:
+	@echo "Running bash in version py$*"
+	@COMPOSE_PROFILES=py$* docker compose run --rm -it py$* bash
+
+bash-root-py%:
+	@echo "Running bash in version py$*"
+	@COMPOSE_PROFILES=py$* docker compose run --rm -itu root py$* bash
 
 clean:
 	find -regex '.*\.pyc' -exec rm {} \;
@@ -24,6 +49,7 @@
 uninstall:
 	pip uninstall -y rows
 
+# TODO: move to use black
 lint:
 	pylint rows/*.py
 
@@ -48,5 +74,3 @@
 
 release:
 	python setup.py bdist bdist_wheel --universal bdist_egg upload
-
-.PHONY:	test clean docs docs-serve docs-upload fix-imports lint lint-tests install uninstall release

=== debian/changelog ===
rows (0.5.0~dev0~1~1d5a326-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop unused dependency on python3-six

 -- Alexandre Detiste <tchet@debian.org>  Fri, 08 Aug 2025 17:23:16 +0200

rows (0.5.0~dev0~1~1d5a326-1) unstable; urgency=medium

  * New upstream version 0.5.0~dev0~1~1d5a326
    - This is an git snapshot of the branch that will be the next upstream
      release.
  * Drop all patches
  * debian/rules: let pytest load all tests, except the parquet plugin
  * debian/rules: drop removal of tests
  * Adjust Recommends/Suggests based on upstream feedback
  * Bump Standards-Version to 4.7.0; no changes needed
  * debian/rules: ignore tests/create_bad_csv.py when running tests

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 14 Apr 2025 14:26:29 -0300

=== debian/control ===
--- 
+++ 
@@ -22,12 +22,11 @@
                python3-pytest,
                python3-requests,
                python3-setuptools,
-               python3-six,
                python3-tqdm,
                python3-xlrd,
                python3-xlwt,
                txt2man
-Standards-Version: 4.6.0.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/turicas/rows/
 Vcs-Browser: https://salsa.debian.org/debian/rows
@@ -41,8 +40,25 @@
          python3-click,
          python3-requests,
          python3-rows
-Recommends: locales, python3-magic, python3-lxml, python3-xlrd, python3-xlwt
-Suggests: locales-all
+Recommends: locales,
+            python3-charset-normalizer,
+            python3-requests,
+            python3-requests-cache,
+            python3-tqdm,
+Suggests: locales-all,
+          postgresql-client,
+          python3-cached-property,
+          python3-defusedxml,
+          python3-lxml,
+          python3-mupdf,
+          python3-openpyxl,
+          python3-pdfminer,
+          python3-psycopg2,
+          python3-requests,
+          python3-requests-cache,
+          python3-tqdm,
+          python3-xlrd,
+          python3-xlwt,
 Description: common, beautiful interface to tabular data, no matter the format
  A command-line interface so you can have easy access to the most used
  features: convert between formats, sum, join and sort tables.
@@ -59,10 +75,24 @@
          python3-pdfminer,
          python3-tqdm,
          python3-psycopg2,
-         python3-six,
          python3-requests,
          python3-requests-cache,
-Recommends: locales, locales-all, python3-lxml, python3-xlrd, python3-xlwt
+Recommends: locales,
+            locales-all,
+            python3-charset-normalizer,
+Suggests: postgresql-client,
+          python3-cached-property,
+          python3-defusedxml,
+          python3-lxml,
+          python3-mupdf,
+          python3-openpyxl,
+          python3-pdfminer,
+          python3-psycopg2,
+          python3-requests,
+          python3-requests-cache,
+          python3-tqdm,
+          python3-xlrd,
+          python3-xlwt,
 Provides: ${python3:Provides}
 Description: library to tabular data, no matter the format
  No matter in which format your tabular data is: python3-rows will import it,

=== debian/tests/control ===
Test-Command: clitest debian/tests/smoke-test.txt
Depends: @, clitest
Features: test-name=smoke-test

=== debian/watch ===
version=4
opts=uversionmangle=s/[_.+-]?(rc|pre|dev|beta|alpha|b|a)/~$1/i,\
filenamemangle=s%(?:.+/)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2% \
  https://github.com/turicas/rows/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
